Page MenuHomeFreeBSD

wlandebug(8): use new IEEE80211_IOC_UNIT ioctl request
AbandonedPublic

Authored by s3erios_gmail.com on Sep 30 2017, 11:11 PM.

Details

Reviewers
adrian
Summary

Try to get original interface unit number even when interface name was changed; use old method in case if something fails during request.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

adrian accepted this revision.Sep 30 2017, 11:35 PM
adrian added inline comments.
usr.sbin/wlandebug/wlandebug.c
171

hm, should we put this in lib80211?

This revision is now accepted and ready to land.Sep 30 2017, 11:35 PM
usr.sbin/wlandebug/wlandebug.c
171

interface name -> unit translation?

adrian added a comment.Oct 1 2017, 1:51 AM

maybe the libifconfig thing that was done recently?

-a

nope; however, libifconfig seems to be more appropriate for such things (so there are alternative versions in D12554 (libifconfig) and D12555 (wlandebug)).

s3erios_gmail.com abandoned this revision.Feb 25 2018, 1:25 AM

Version which uses libifconfig was accepted / committed instead.